<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="EndpointPolicy_Static"
	ProjectGUID="{CA35032C-FECA-1BAD-99D4-1F3261239E6A}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\lib"
			IntermediateDirectory="Static_Debug\EndpointPolicy_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;_DEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				ProgramDataBaseFileName="..\..\lib\TAO_EndpointPolicysd.pdb"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\TAO_EndpointPolicysd.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\lib"
			IntermediateDirectory="Static_Release\EndpointPolicy_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;NDEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				RuntimeLibrary="0"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\TAO_EndpointPolicys.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="EndpointPolicy\Endpoint_Acceptor_Filter.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\Endpoint_Acceptor_Filter_Factory.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\Endpoint_Value_Impl.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicy.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicy_Factory.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicy_i.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicy_ORBInitializer.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicyA.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicyC.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicyTypeA.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicyTypeC.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\IIOPEndpointValue_i.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\IIOPEndpointValueA.cpp">
			</File>
			<File
				RelativePath="EndpointPolicy\IIOPEndpointValueC.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="EndpointPolicy\Endpoint_Acceptor_Filter.h">
			</File>
			<File
				RelativePath="EndpointPolicy\Endpoint_Acceptor_Filter_Factory.h">
			</File>
			<File
				RelativePath="EndpointPolicy\Endpoint_Value_Impl.h">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicy.h">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicy_Export.h">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicy_Factory.h">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicy_i.h">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicy_ORBInitializer.h">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicyA.h">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicyC.h">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicyTypeA.h">
			</File>
			<File
				RelativePath="EndpointPolicy\EndpointPolicyTypeC.h">
			</File>
			<File
				RelativePath="EndpointPolicy\IIOPEndpointValue_i.h">
			</File>
			<File
				RelativePath="EndpointPolicy\IIOPEndpointValueA.h">
			</File>
			<File
				RelativePath="EndpointPolicy\IIOPEndpointValueC.h">
			</File>
		</Filter>
		<Filter
			Name="Pkgconfig Files"
			Filter="in">
			<File
				RelativePath="EndpointPolicy\TAO_EndpointPolicy.pc.in">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Pidl Files"
			Filter="pidl">
			<File
				RelativePath="EndpointPolicy\EndpointPolicyType.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Idl Files"
			Filter="idl">
			<File
				RelativePath="EndpointPolicy\EndpointPolicy.pidl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\bin\tao_idl on EndpointPolicy\EndpointPolicy.pidl"
						CommandLine="PATH=%PATH%;..\..\lib&#x0D;&#x0A;..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -GA -SS -Sci -Ge 1 -Sorb -Wb,export_macro=TAO_EndpointPolicy_Export -Wb,export_include=tao/EndpointPolicy/EndpointPolicy_Export.h -o EndpointPolicy &quot;EndpointPolicy\EndpointPolicy.pidl&quot;"
						AdditionalDependencies="..\..\bin\tao_idl.exe"
						Outputs="EndpointPolicy\EndpointPolicyA.cpp;EndpointPolicy\EndpointPolicyA.h;EndpointPolicy\EndpointPolicyC.cpp;EndpointPolicy\EndpointPolicyC.h"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\bin\tao_idl on EndpointPolicy\EndpointPolicy.pidl"
						CommandLine="PATH=%PATH%;..\..\lib&#x0D;&#x0A;..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -GA -SS -Sci -Ge 1 -Sorb -Wb,export_macro=TAO_EndpointPolicy_Export -Wb,export_include=tao/EndpointPolicy/EndpointPolicy_Export.h -o EndpointPolicy &quot;EndpointPolicy\EndpointPolicy.pidl&quot;"
						AdditionalDependencies="..\..\bin\tao_idl.exe"
						Outputs="EndpointPolicy\EndpointPolicyA.cpp;EndpointPolicy\EndpointPolicyA.h;EndpointPolicy\EndpointPolicyC.cpp;EndpointPolicy\EndpointPolicyC.h"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="EndpointPolicy\IIOPEndpointValue.pidl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\bin\tao_idl on EndpointPolicy\IIOPEndpointValue.pidl"
						CommandLine="PATH=%PATH%;..\..\lib&#x0D;&#x0A;..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -GA -SS -Sci -Ge 1 -Sorb -Wb,export_macro=TAO_EndpointPolicy_Export -Wb,export_include=tao/EndpointPolicy/EndpointPolicy_Export.h -o EndpointPolicy &quot;EndpointPolicy\IIOPEndpointValue.pidl&quot;"
						AdditionalDependencies="..\..\bin\tao_idl.exe"
						Outputs="EndpointPolicy\IIOPEndpointValueA.cpp;EndpointPolicy\IIOPEndpointValueA.h;EndpointPolicy\IIOPEndpointValueC.cpp;EndpointPolicy\IIOPEndpointValueC.h"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\bin\tao_idl on EndpointPolicy\IIOPEndpointValue.pidl"
						CommandLine="PATH=%PATH%;..\..\lib&#x0D;&#x0A;..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -GA -SS -Sci -Ge 1 -Sorb -Wb,export_macro=TAO_EndpointPolicy_Export -Wb,export_include=tao/EndpointPolicy/EndpointPolicy_Export.h -o EndpointPolicy &quot;EndpointPolicy\IIOPEndpointValue.pidl&quot;"
						AdditionalDependencies="..\..\bin\tao_idl.exe"
						Outputs="EndpointPolicy\IIOPEndpointValueA.cpp;EndpointPolicy\IIOPEndpointValueA.h;EndpointPolicy\IIOPEndpointValueC.cpp;EndpointPolicy\IIOPEndpointValueC.h"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Documentation"
			Filter="">
			<File
				RelativePath="PP_Memory_Management.txt">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
